# Uses of Enum Class org.bukkit.entity.Villager.Profession (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: org.bukkit.entity, interface: Villager, enum: Profession

# Uses of Enum Class
org.bukkit.entity.Villager.Profession

Packages that use Villager.Profession
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of Villager.Profession in org.bukkit

Fields in org.bukkit with type parameters of type Villager.Profession
Modifier and Type
Field
Description
`static final Registry<Villager.Profession>`
Registry.`VILLAGER_PROFESSION`
Villager profession.

## Uses of Villager.Profession in org.bukkit.entity

Methods in org.bukkit.entity that return Villager.Profession
Modifier and Type
Method
Description
`@NotNull Villager.Profession`
Villager.`getProfession()`
Gets the current profession of this villager.
`Villager.Profession`
Zombie.`getVillagerProfession()`
Deprecated.
`Villager.Profession`
ZombieVillager.`getVillagerProfession()`
Returns the villager profession of this zombie.
`static Villager.Profession`
Villager.Profession.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Villager.Profession[]`
Villager.Profession.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type Villager.Profession
Modifier and Type
Method
Description
`void`
Villager.`setProfession(@NotNull Villager.Profession profession)`
Sets the new profession of this villager.
`void`
Zombie.`setVillagerProfession(Villager.Profession profession)`
Deprecated.
`void`
ZombieVillager.`setVillagerProfession(Villager.Profession profession)`
Sets the villager profession of this zombie.

## Uses of Villager.Profession in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return Villager.Profession
Modifier and Type
Method
Description
`@NotNull Villager.Profession`
VillagerCareerChangeEvent.`getProfession()`
Gets the future profession of the villager.
Methods in org.bukkit.event.entity with parameters of type Villager.Profession
Modifier and Type
Method
Description
`void`
VillagerCareerChangeEvent.`setProfession(@NotNull Villager.Profession profession)`
Sets the profession the villager will become from this event.
Constructors in org.bukkit.event.entity with parameters of type Villager.Profession
Modifier
Constructor
Description
``
`VillagerCareerChangeEvent(@NotNull Villager what, @NotNull Villager.Profession profession, @NotNull VillagerCareerChangeEvent.ChangeReason reason)`